%define modname mailparse
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A12_%{modname}.ini

Summary:	Email message manipulation for PHP
Name:		php-%{modname}
Version:	2.1.1
Release:	%mkrel 6
License:	PHP License
Group:		Development/PHP
URL:		http://pecl.php.net/package/mailparse
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tar.bz2
Source1:	%{modname}.ini
Patch0:		mailparse-0.9.4-silly_fix.patch
Requires:	php-cli >= 3:5.2.0
Requires:	php-mbstring
BuildRequires:	php-devel >= 3:5.2.0
Provides:	php5-mailparse
Obsoletes:	php5-mailparse
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mailparse is an extension for parsing and working with email messages. It can
deal with rfc822 and rfc2045 (MIME) compliant messages. 

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p0

# fix strange attribs
find tests -type f|xargs chmod 644

ln -s %{_usrsrc}/php-devel/ext .

cp %{SOURCE1} %{inifile}

%build

phpize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README try.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-6mdv2007.0
+ Revision: 117535
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.1-5mdv2007.0
+ Revision: 78208
- re-submitted
- fix deps
- bunzip patches and sources

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.1-4mdv2007.1
+ Revision: 77361
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.1-3mdv2007.1
+ Revision: 75250
- Import php-mailparse



* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.1-3
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.1-2mdk
- rebuild

* Sun May 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1.1-1mdk
- 2.1.1
- drop upstream patches; P1

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-7mdk
- rebuilt for php-5.1.4

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-6mdk
- rebuilt for php-5.1.3

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-5mdk
- new group (Development/PHP) and iurt rebuild

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-4mdk
- rebuilt against php-5.1.2

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-3mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-2mdk
- rebuilt against php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.1-1mdk
- rebuilt against php-5.1.0RC4
- fix versioning

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_2.1-0.RC1.1mdk
- rebuilt for php-5.1.0RC1

* Mon Sep 12 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_2.1-2mdk
- added P1 to fix http://bugs.php.net/bug.php?id=32999

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_2.1-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_2.1-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_2.1-3mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_2.1-2mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_2.1-1mdk
- 2.1
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_2.0b-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_2.0b-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_2.0b-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0_2.0b-1mdk
- rebuilt for php-5.0.0
- major cleanups

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_2.0b-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.0b-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.0b-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.0b-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.0b-1mdk
- 2.0b
- fix url
- built for php 4.3.6

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.9.4-1mdk
- 0.9.4
- drop P1, it's included
- misc spec file fixes

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.9.3-1mdk
- built for php 4.3.4
- added P1

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.9.3-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.3-1mdk
- 1mdk was never released simply because it refused to compile...
- but and here's 0.9.3 anyhow...
- fixed P0

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.1-1mdk
- initial cooker contrib
- added P0
